[SCM] Samba Shared Repository - branch master updated

Matthias Dieter Wallnöfer mdw at samba.org
Tue Dec 19 02:10:02 UTC 2017


The branch, master has been updated
       via  e72a879 LDB:test-generic.sh - fix smaller/greater comparison tests
      from  4003736 vfs: Use static_decl_vfs in all VFS modules

https://git.samba.org/?p=samba.git;a=shortlog;h=master


- Log -----------------------------------------------------------------
commit e72a8793ae22d089b9e300d7f1da735391e39f3d
Author: Matthias Dieter Wallnöfer <mdw at samba.org>
Date:   Tue Sep 4 18:27:48 2012 +0200

    LDB:test-generic.sh - fix smaller/greater comparison tests
    
    The comparison result has been ignored, which is not good. Also remove
    the "ldbsearch" command in the error branch which has not much sense.
    
    The scripts needs to be run through test-tdb.sh, test-ldap.sh or
    test-sqlite3.sh which I didn't realise before. Hence less changes are needed
    and this is a reduced version of the patch published on the mailing list.
    
    Signed-off-by: Matthias Dieter Wallnöfer <mdw at samba.org>
    Reviewed-by: Andrew Bartlett <abartlet at samba.org>
    
    Autobuild-User(master): Matthias Dieter Wallnöfer <mdw at samba.org>
    Autobuild-Date(master): Tue Dec 19 03:09:12 CET 2017 on sn-devel-144

-----------------------------------------------------------------------

Summary of changes:
 lib/ldb/tests/test-generic.sh | 17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)


Changeset truncated at 500 lines:

diff --git a/lib/ldb/tests/test-generic.sh b/lib/ldb/tests/test-generic.sh
index e1f8e79..8177da5 100755
--- a/lib/ldb/tests/test-generic.sh
+++ b/lib/ldb/tests/test-generic.sh
@@ -119,16 +119,20 @@ echo "*TODO* Testing UTF8 upper lower case searches !!"
 
 echo "Testing compare"
 count=`$VALGRIND ldbsearch '(cn>=t)' cn | grep '^dn' | wc -l`
-if [ $count != 2 ]; then
-    echo returned $count records - expected 2
-    echo "this fails on openLdap ..."
+if [ $count != 1 ]; then
+    # only "cn: test_multi_test_multi_test_multi" (comes after "t")
+    # upper-cased words come before "t" - hence excluded
+    echo returned $count records - expected 1
+    exit 1
 fi
 $VALGRIND ldbsearch '(cn>t)' cn && exit 1 # strictly greater should not work
 
 count=`$VALGRIND ldbsearch '(cn<=t)' cn | grep '^dn' | wc -l`
-if [ $count != 13 ]; then
-    echo returned $count records - expected 13
-    echo "this fails on openLdap ..."
+if [ $count != 18 ]; then
+    # everything except "cn: test_multi_test_multi_test_multi" (comes after "t")
+    # upper-cased letters come before "t" - hence included
+    echo returned $count records - expected 18
+    exit 1
 fi
 $VALGRIND ldbsearch '(cn<t)' cn && exit 1 # strictly less should not work
 
@@ -140,7 +144,6 @@ checkcount() {
     n=`$VALGRIND ldbsearch -s "$scope" -b "$basedn" "$expression" | grep '^dn' | wc -l`
     if [ $n != $count ]; then
 	echo "Got $n but expected $count for $expression"
-	bin/ldbsearch "$expression"
 	exit 1
     fi
     echo "OK: $count $expression"


-- 
Samba Shared Repository



More information about the samba-cvs mailing list